%define	module	Unix-Syslog
%define	name	perl-%{module}
%define	version	1.0
%define	release	%mkrel 2

Name:		%{name}
Summary:	Perl interface to the UNIX system logger
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{module}/%{module}-%{version}.tar.bz2
Buildrequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides access to the system logger available on most
UNIX systems via perl XSUBs (perl's C interface).

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%{perl_vendorarch}/*
%{_mandir}/*/*



%changelog
* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.0-2mdv2008.1
+ Revision: 151401
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 1.0-1mdv2008.1
+ Revision: 100849
- New version 1.0

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.100-4mdv2008.0
+ Revision: 23249
- rebuild


* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 0.100-3mdk
-_rebuild_for_sparc

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.100-2mdk
- rebuild for new perl

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.100-1mdk
- 0.100
- cosmetics

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.99-4mdk
- rebuild for new perl
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99-3mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.99-2mdk
- buildrequires

